﻿using System;

using Adapter.Units;
using Adapter.Events;

namespace Adapter.Screens
{
    public class BattleMapDisplay
    {
        public BattleMapDisplay(GameUnit exampleUnit)
        {
            // In reality, you might have a singleton Game.Units somewhere, holding a collection
            // of GameUnits over which you can iterate and subscribe to. For this example
            // however, I'm simply showing how to subscribe.

            //GameUnit exampleUnit = new Soldier(); 
            exampleUnit.PositionChanged += new EventHandler<PositionChangedEventArgs>(exampleUnit_PositionChanged);
        }

        private void exampleUnit_PositionChanged(object sender, PositionChangedEventArgs e)
        {
            /* Update the location of the unit on the map */
            // e.NewLocation // Can also cast sender to GameUnit, but not strongly typed
            Console.WriteLine(string.Format("Battle Map - Changed, {0}", e.NewLocation));
        }
    }
}
